using Modules.Library.Application.Gateways;
using Modules.Library.Application.Models;

namespace Modules.Library.Application.Queries.Converters;

internal static class GenreConverter
{
    internal static Domain.Models.Genre Convert(Genre genre)
    {
        return new Domain.Models.Genre
        {
            Id = genre.Id,
            Name = genre.Name,
            Deleted = genre.Deleted,
        };
    }

    internal static Genre Convert(Domain.Entities.Genre.Genre genre)
    {
        return new Genre
        {
            Id = genre.Id,
            Name = genre.Name,
            Deleted = genre.Deleted,
        };
    }
}